Permalink
Browse files

Change useexisting to extend_existing to fix deprecation warnings.

This squelches a deprecation warning during installation.

We're already using extend_existing in other places, so I don't
think this causes any new version compatibility issues.

Fixes bug 925609.  (Already marked fixed, but this hits more cases.)

Includes some merges with a whitespace-cleanup fix.

Change-Id: Ia166e9184ed3e13753c5669a1006a3711738319a
  • Loading branch information...
1 parent 514b4b4 commit 4c96080375553f5ffaaaa4b1470160464bcfb910 David Ripton committed with Eoghan Glynn Oct 8, 2012
@@ -43,7 +43,7 @@ def get_images_table(meta):
Column('deleted', Boolean(), nullable=False, default=False,
index=True),
mysql_engine='InnoDB',
- useexisting=True)
+ extend_existing=True)
return images
@@ -44,7 +44,7 @@ def get_images_table(meta):
Column('deleted', Boolean(), nullable=False, default=False,
index=True),
mysql_engine='InnoDB',
- useexisting=True)
+ extend_existing=True)
return images
@@ -56,7 +56,7 @@ def get_image_properties_table(meta):
index=True),
UniqueConstraint('image_id', 'name'),
mysql_engine='InnoDB',
- useexisting=True)
+ extend_existing=True)
return image_properties

0 comments on commit 4c96080

Please sign in to comment.